Bug 250471 - it would be neat if anaconda already knew the url for http installs
it would be neat if anaconda already knew the url for http installs
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
6
All Linux
low Severity low
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-01 15:40 EDT by Ray Strode [halfline]
Modified: 2009-11-28 05:23 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:43:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ray Strode [halfline] 2007-08-01 15:40:26 EDT
Recently, yum out of the box became able to choose the right mirror based on
your net block or something.

So we get our internal red hat mirror for fedora automatically, and it's pretty
nice.

By the same token, it would be neat if anaconda didn't ask for an install tree
location on GA releases and instead just picked the right one.

(and prehaps provided a way to override it)
Comment 1 Kaare Fiedler Christiansen 2007-12-02 05:10:57 EST
Wouldn't it be as simple is prefilling the URL with 
http://download.fedoraproject.org/pub/fedora/linux/releases/8/Fedora/i386/os
?

That would give the easy way that automatically selects the right mirror, and
the possibility to override it.

I suggest raising the severity to med, because it should give a pretty
significant gain for mirrors, if people used the network install instead of
downloading the entire Fedora install DVD.

The fix is probably a one-liner.
Comment 2 Jeremy Katz 2007-12-02 19:18:32 EST
The problem is discovery -- we don't have (or really want to have) a lot of the
bits for dealing with things like this in the first stage of the install.  Some
work is underway so that we can do repository selection in the second stage,
though, for Fedora 9 and the idea is that we then can enable something like this.
Comment 3 Bug Zapper 2008-04-04 03:29:46 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Bug Zapper 2008-05-06 15:43:38 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.